## python-pyqtgraph 0.9.10

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pyqtgraph.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pyqtgraph.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pyqtgraph"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pyqtgraph"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-pyqtgraph 0.9.8

=== debian/changelog ===
python-pyqtgraph (0.9.8-3) unstable; urgency=medium

  * Add X-Python-Version: to control file.
  * Revert back to python-pyside | python-qt4, instead of requesting
    them both. (Closes: #757645)
  * Add a new -doc package.
  * Add a new python3-pyqtgraph python3 compatible package.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 15 Aug 2014 12:05:48 +0200

python-pyqtgraph (0.9.8-2) unstable; urgency=medium

  * Add some requied runtime dependencies
    (mostly taken from binwalk documentation).
  * Refactor debian/copyright

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 01 Aug 2014 15:18:08 +0200

python-pyqtgraph (0.9.8-1) unstable; urgency=low

  [ Gianfranco Costamagna ]
  * Tweak the upstream debian packaging to fit with
    python new rules.

  [ Luke ]
  * Initial release. (Closes: #753590)

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 30 Jun 2014 15:52:52 +0200

=== debian/control ===
Source: python-pyqtgraph
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
Section: python
Priority: optional
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9),
 dh-python,
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools,
 python-docutils,
 python-sphinx
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Homepage: http://luke.campagnola.me/code/pyqtgraph
Vcs-Git: git://anonscm.debian.org/debian-science/packages/python-pyqtgraph.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/python-pyqtgraph.git

Package: python-pyqtgraph
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-pyside | python-qt4, python-scipy, python-numpy
Recommends: python-opengl, python-qt4-gl
Suggests: python-pyqtgraph-doc
Description: Scientific Graphics and GUI Library for Python 2
 PyQtGraph is a pure-python graphics and GUI library built on PyQt4 and numpy.
 It is intended for use in mathematics / scientific / engineering applications.
 Despite being written entirely in Python, the library is very fast due to its
 heavy leverage of numpy for number crunching and Qt's GraphicsView framework
 for fast display.
 .
 This is the Python 2 version of the package.

Package: python3-pyqtgraph
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-pyside | python3-pyqt4, python3-scipy, python3-numpy
Recommends: python3-opengl
Suggests: python-pyqtgraph-doc
Description: Scientific Graphics and GUI Library for Python 3
 PyQtGraph is a pure-python graphics and GUI library built on PyQt4 and numpy.
 It is intended for use in mathematics / scientific / engineering applications.
 Despite being written entirely in Python, the library is very fast due to its
 heavy leverage of numpy for number crunching and Qt's GraphicsView framework
 for fast display.
 .
 This is the Python 3 version of the package.

Package: python-pyqtgraph-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Scientific Graphics and GUI Library for Python (common documentation)
 PyQtGraph is a pure-python graphics and GUI library built on PyQt4 and numpy.
 It is intended for use in mathematics / scientific / engineering applications.
 Despite being written entirely in Python, the library is very fast due to its
 heavy leverage of numpy for number crunching and Qt's GraphicsView framework
 for fast display.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyqtgraph

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	rm -rf doc/build
	dh_auto_clean

override_dh_auto_build:
	cd doc && $(MAKE) html
	dh_auto_build

## python-pyqtgraph 0.9.10

=== debian/changelog ===
python-pyqtgraph (0.9.10-5) unstable; urgency=medium

  * Prefer qt4 over pyside to avoid drag of too much dependencies on binwalk.
    (Closes: #810140)
    - thanks a lot Julian Andres Klode <jak@debian.org> for the useful hint!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Jan 2016 00:09:38 +0100

python-pyqtgraph (0.9.10-4) unstable; urgency=medium

  * Disable testsuite, it drags too much dependencies, and
    it fails for some new python3.5 modules. (Closes: #801207)
    - https://github.com/pyqtgraph/pyqtgraph/issues/230

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 20 Aug 2015 23:29:20 +0200

python-pyqtgraph (0.9.10-3) unstable; urgency=medium

  * Remove numpy as runtime dependency, already
    taken care in setup.py.
  * Update my email address.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Jul 2015 14:22:11 +0200

python-pyqtgraph (0.9.10-2) unstable; urgency=medium

  * Upload to unstable.
    - Update copyright year.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sun, 26 Apr 2015 23:47:30 +0200

python-pyqtgraph (0.9.10-1) experimental; urgency=medium

  * New upstream release.
    - d/copyright: drop PIL license, the code has been removed upstream.
    - change author mail address.
  * d/control
    - Bump std-version to 3.9.6, no changes required.
    - Add some build dependencies, to avoid build exceptions:
      - python-matplotlib,
      - python-numpy,
      - python-opengl,
      - python-qt4-gl,
      - python-scipy
    - Add the optional python*-matplotlib to Recommends.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 25 Dec 2014 22:33:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,33 @@
 Source: python-pyqtgraph
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
+Uploaders: Gianfranco Costamagna <locutusofborg@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9),
- dh-python,
- python-all,
- python-setuptools,
- python3-all,
- python3-setuptools,
- python-docutils,
- python-sphinx
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
+               dh-python,
+               python-all,
+               python-docutils,
+               python-matplotlib,
+               python-numpy,
+               python-opengl,
+               python-qt4-gl,
+               python-scipy,
+               python-setuptools,
+               python-sphinx,
+               python3-all,
+               python3-setuptools
 Homepage: http://luke.campagnola.me/code/pyqtgraph
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/python-pyqtgraph.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/python-pyqtgraph.git
 
 Package: python-pyqtgraph
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-pyside | python-qt4, python-scipy, python-numpy
-Recommends: python-opengl, python-qt4-gl
+Depends: python-qt4 | python-pyside,
+         python-scipy,
+         ${misc:Depends},
+         ${python:Depends}
+Recommends: python-matplotlib, python-opengl, python-qt4-gl
 Suggests: python-pyqtgraph-doc
 Description: Scientific Graphics and GUI Library for Python 2
  PyQtGraph is a pure-python graphics and GUI library built on PyQt4 and numpy.
@@ -34,8 +40,11 @@
 
 Package: python3-pyqtgraph
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, python3-pyside | python3-pyqt4, python3-scipy, python3-numpy
-Recommends: python3-opengl
+Depends: python3-pyqt4 | python3-pyside,
+         python3-scipy,
+         ${misc:Depends},
+         ${python3:Depends}
+Recommends: python3-matplotlib, python3-opengl
 Suggests: python-pyqtgraph-doc
 Description: Scientific Graphics and GUI Library for Python 3
  PyQtGraph is a pure-python graphics and GUI library built on PyQt4 and numpy.

## python-pyqtgraph 0.10.0

=== debian/changelog ===
python-pyqtgraph (0.10.0-1) unstable; urgency=medium

  * New upstream release, update copyright file
  * Bump std-version to 3.9.8
  * Bump compat level to 10

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 09 Nov 2016 14:55:01 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Uploaders: Gianfranco Costamagna <locutusofborg@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 9),
+Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10),
                dh-python,
                python-all,
                python-docutils,

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,9 @@
 
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+
+# they spawn graphical windows
+override_dh_auto_test:
 
 override_dh_auto_clean:
 	rm -rf doc/build

## python-pyqtgraph 0.11.0~rc0

=== debian/changelog ===
python-pyqtgraph (0.11.0~rc0-1) unstable; urgency=medium

  * New upstream version 0.11.0~rc0
    - try to drop the setup.py patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 22 Dec 2019 12:16:58 +0100

python-pyqtgraph (0.10.0-5) unstable; urgency=medium

  [ Georges Khaznadar ]
  * For some mysterious reason, the expressions used to build the list of
    python files to package misses the last directory in the list; when I
    call *the same* expressions in a Python shell, it does not fail. So I
    made a quick & &dirty fix: I hardcoded the list of files to package,
    which closes: #939571

  [ Gianfranco Costamagna ]
  * Bump std-version to 4.1.1

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 05 Nov 2019 19:04:32 +0100

python-pyqtgraph (0.10.0-4) unstable; urgency=medium

  * debian/patches/fd11e1352d9e0b15d67520354bbbf40c615bf996.patch:
    - update sources to upstream fd11e1352d9e0b15d67520354bbbf40c615bf996
      commit on devel branch (Closes: #935784)
    - this permits the switch to pyside2
  * Previous upload dropped Python2 package (Closes: #938088)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 26 Aug 2019 11:44:55 +0200

python-pyqtgraph (0.10.0-3) unstable; urgency=medium

  * Drop python2 package

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Aug 2019 18:27:17 +0200

python-pyqtgraph (0.10.0-2) unstable; urgency=medium

  [ Yuri D'Elia, Georges Khaznadar, jithin bp ]
  * Add QT5 as alternative runtime binding (Closes: #843897)

  [ Gianfranco Costamagna ]
  * Bump std-version to 4.4.0, compat level to 12
  * Update VCS fields for salsa.d.o move

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Aug 2019 18:23:57 +0200

=== debian/control ===
Source: python-pyqtgraph
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Gianfranco Costamagna <locutusofborg@debian.org>
Section: python
Priority: optional
Standards-Version: 4.4.1
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-sphinx,
               python3-setuptools
Homepage: http://luke.campagnola.me/code/pyqtgraph
Vcs-Git: https://salsa.debian.org/science-team/python-pyqtgraph.git
Vcs-Browser: https://salsa.debian.org/science-team/python-pyqtgraph

Package: python3-pyqtgraph
Architecture: all
Depends: python3-pyqt5 | python3-pyside2,
         python3-scipy,
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-matplotlib, python3-opengl, python3-pyqt5.qtopengl
Suggests: python-pyqtgraph-doc
Description: Scientific Graphics and GUI Library for Python 3
 PyQtGraph is a pure-python graphics and GUI library built on PyQt4 and numpy.
 It is intended for use in mathematics / scientific / engineering applications.
 Despite being written entirely in Python, the library is very fast due to its
 heavy leverage of numpy for number crunching and Qt's GraphicsView framework
 for fast display.
 .
 This is the Python 3 version of the package.

Package: python-pyqtgraph-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Scientific Graphics and GUI Library for Python (common documentation)
 PyQtGraph is a pure-python graphics and GUI library built on PyQt4 and numpy.
 It is intended for use in mathematics / scientific / engineering applications.
 Despite being written entirely in Python, the library is very fast due to its
 heavy leverage of numpy for number crunching and Qt's GraphicsView framework
 for fast display.
 .
 This is the common documentation package.

=== debian/watch ===
version=3
opts=dversionmangle=s/(\+|\.)dfsg$// \
	https://github.com/pyqtgraph/pyqtgraph/tags .*/pyqtgraph-?(\d\S*)\.tar\.gz

## python-pyqtgraph 0.11.0

=== debian/changelog ===
python-pyqtgraph (0.11.0-7) unstable; urgency=medium

  [ Chris Lamb <lamby@debian.org> ]
  * debian/patches/1265.patch:
    make build reproducible. (Closes: #963124)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 26 Sep 2020 11:34:23 +0200

python-pyqtgraph (0.11.0-6) unstable; urgency=medium

  * Add patch to make it compatible with the new pyqt5 sip implementation
  * Update copyright years and URI
  * Switch compat level to 13
  * debian/patches/1331.patch:
    - switch to new PyQt5 sip import API.
      (Closes: #966045)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 27 Jul 2020 14:39:51 +0200

python-pyqtgraph (0.11.0-5) unstable; urgency=medium

  * New pyside in unstable, drop the conditional dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 27 Jun 2020 00:14:36 +0200

python-pyqtgraph (0.11.0-4) unstable; urgency=medium

  * New pyside not yet in unstable, add the dependency conditionally

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 12 Jun 2020 21:33:29 +0200

python-pyqtgraph (0.11.0-3) unstable; urgency=medium

  * Add some more dependencies, for new pyside dropping uic/rcc

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 11 Jun 2020 10:09:16 +0200

python-pyqtgraph (0.11.0-2) unstable; urgency=medium

  * Add some additional build dependencies to fix the build.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 10 Jun 2020 23:00:23 +0200

python-pyqtgraph (0.11.0-1) unstable; urgency=medium

  * New upstream version 0.11.0
  * Update maintainers field
  * add R^3: no
  * bump std-version to 4.5.0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 10 Jun 2020 22:17:59 +0200

## python-pyqtgraph 0.11.1

=== doc/requirements.txt ===
pyside2
numpy
pyopengl
sphinx
sphinx_rtd_theme

=== debian/changelog ===
python-pyqtgraph (0.11.1-1) unstable; urgency=medium

  * New upstream version 0.11.1
  * Drop patches: upstream

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 24 Dec 2020 19:20:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,32 @@
 Source: python-pyqtgraph
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Gianfranco Costamagna <locutusofborg@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.4.1
-Build-Depends: debhelper-compat (= 12),
+Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13),
                dh-python,
+               libpyside2-py3,
                python3-all,
+               python3-numpy,
+               python3-opengl,
+               python3-pyqt5.qtopengl,
+               python3-setuptools,
                python3-sphinx,
-               python3-setuptools
+               python3-sphinx-rtd-theme,
+               pyqt5-dev-tools,
+               qtbase5-dev-tools,
+Rules-Requires-Root: no
 Homepage: http://luke.campagnola.me/code/pyqtgraph
 Vcs-Git: https://salsa.debian.org/science-team/python-pyqtgraph.git
 Vcs-Browser: https://salsa.debian.org/science-team/python-pyqtgraph
 
 Package: python3-pyqtgraph
 Architecture: all
-Depends: python3-pyqt5 | python3-pyside2,
+Depends: python3-pyqt5 | libpyside2-py3,
          python3-scipy,
+         pyqt5-dev-tools,
+         qtbase5-dev-tools,
          ${misc:Depends},
          ${python3:Depends}
 Recommends: python3-matplotlib, python3-opengl, python3-pyqt5.qtopengl

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_NAME=pyqtgraph
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 # they spawn graphical windows
 override_dh_auto_test:

## python-pyqtgraph 0.12.1

=== doc/requirements.txt ===
pyside2
numpy
pyopengl
sphinx==3.4.3
sphinx_rtd_theme==0.5.1

=== debian/changelog ===
python-pyqtgraph (0.12.1-1) unstable; urgency=medium

  * New upstream version 0.12.1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 08 Apr 2021 18:47:58 +0200

python-pyqtgraph (0.12.0-1) unstable; urgency=medium

  * New upstream version 0.12.0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 27 Mar 2021 10:49:17 +0100

## python-pyqtgraph 0.12.2

=== debian/changelog ===
python-pyqtgraph (0.12.2-1) unstable; urgency=medium

  * New upstream version 0.12.2

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 18 Jul 2021 11:10:46 +0200

## python-pyqtgraph 0.12.4

=== doc/requirements.txt ===
pyside2
numpy
pyopengl
sphinx==4.1.1
sphinx_rtd_theme==0.5.2

=== debian/changelog ===
python-pyqtgraph (0.12.4-1) unstable; urgency=medium

  * New upstream version 0.12.4
  * Update for qt6, but leave it commented out

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 08 Mar 2022 22:46:52 +0100

python-pyqtgraph (0.12.3-1) unstable; urgency=medium

  * New upstream version 0.12.3
  * Bump std-version to 4.6.0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 18 Oct 2021 15:45:27 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Gianfranco Costamagna <locutusofborg@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                libpyside2-py3,
@@ -11,11 +11,14 @@
                python3-numpy,
                python3-opengl,
                python3-pyqt5.qtopengl,
+#               python3-pyqt6.qtopengl,
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-rtd-theme,
                pyqt5-dev-tools,
+#               pyqt6-dev-tools,
                qtbase5-dev-tools,
+#               qtbase6-dev-tools,
 Rules-Requires-Root: no
 Homepage: http://luke.campagnola.me/code/pyqtgraph
 Vcs-Git: https://salsa.debian.org/science-team/python-pyqtgraph.git
@@ -24,12 +27,16 @@
 Package: python3-pyqtgraph
 Architecture: all
 Depends: python3-pyqt5 | libpyside2-py3,
+#         python3-pyqt6,
          python3-scipy,
          pyqt5-dev-tools,
+#         pyqt6-dev-tools,
          qtbase5-dev-tools,
+#         qtbase6-dev-tools,
          ${misc:Depends},
          ${python3:Depends}
 Recommends: python3-matplotlib, python3-opengl, python3-pyqt5.qtopengl
+# python3-pyqt6.qtopengl
 Suggests: python-pyqtgraph-doc
 Description: Scientific Graphics and GUI Library for Python 3
  PyQtGraph is a pure-python graphics and GUI library built on PyQt4 and numpy.

## python-pyqtgraph 0.13.1

=== binder/requirements.txt ===
git+https://github.com/pyqtgraph/pyqtgraph.git
pyqt5
jupyter_rfb
numpy
simplejpeg

=== doc/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4
 PAPEROPT_letter = -D latex_paper_size=letter
-ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
+ALLSPHINXOPTS   = -n -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
 
 .PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

=== doc/requirements.txt ===
sphinx==5.2.2
PyQt6==6.3.1
sphinx-rtd-theme
sphinx-qt-documentation
numpy
pyopengl

=== .github/workflows/requirements.txt ===
# numpy based on python version and NEP-29 requirements
numpy; python_version == '3.10'
numpy~=1.21.0; python_version == '3.9'
numpy~=1.20.0; python_version == '3.8'

# image testing
scipy==1.8.1

# optional high performance paths
numba==0.55.2; python_version == '3.9'

# optional 3D
pyopengl==3.1.6

# supplimental tools
matplotlib==3.5.2
h5py==3.7.0

# testing
pytest==7.1.2
pytest-xdist==2.5.0
pytest-xvfb==2.0.0; sys_platform == 'linux'

=== debian/changelog ===
python-pyqtgraph (0.13.1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-pyqtgraph-doc: Add Multi-Arch: foreign.

  [ Gianfranco Costamagna ]
  * Add patch to fix build documentation when internet is not available
  * Upload to sid
  * Update copyright years

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 04 Feb 2023 13:05:55 +0100

python-pyqtgraph (0.13.1-3) unstable; urgency=medium

  * Update copyright file to specify no copyright holder for maps files
  * Bump watch file to version 4

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 03 Oct 2022 20:31:14 +0200

python-pyqtgraph (0.13.1-2) unstable; urgency=medium

  * debian/patches/2459.patch:
    - add upstream-proposed patch to fix build failure.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 03 Oct 2022 20:27:43 +0200

python-pyqtgraph (0.13.1-1) unstable; urgency=medium

  * Upload to sid
  * New upstream version 0.13.1
  * Add new dependency on python3-sphinx-qt-documentation
    to build documentation for new qt6 binding

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 30 Sep 2022 12:40:15 +0200

python-pyqtgraph (0.12.4-2) experimental; urgency=medium

  * Also depend on qt6 packages

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Jun 2022 16:23:02 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Gianfranco Costamagna <locutusofborg@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                libpyside2-py3,
@@ -11,14 +11,14 @@
                python3-numpy,
                python3-opengl,
                python3-pyqt5.qtopengl,
-#               python3-pyqt6.qtopengl,
                python3-setuptools,
                python3-sphinx,
+               python3-sphinx-qt-documentation,
                python3-sphinx-rtd-theme,
                pyqt5-dev-tools,
-#               pyqt6-dev-tools,
+               pyqt6-dev-tools,
                qtbase5-dev-tools,
-#               qtbase6-dev-tools,
+               qt6-base-dev-tools,
 Rules-Requires-Root: no
 Homepage: http://luke.campagnola.me/code/pyqtgraph
 Vcs-Git: https://salsa.debian.org/science-team/python-pyqtgraph.git
@@ -26,13 +26,12 @@
 
 Package: python3-pyqtgraph
 Architecture: all
-Depends: python3-pyqt5 | libpyside2-py3,
-#         python3-pyqt6,
+Depends: python3-pyqt5 | libpyside2-py3 | python3-pyqt6,
          python3-scipy,
          pyqt5-dev-tools,
-#         pyqt6-dev-tools,
+         pyqt6-dev-tools,
          qtbase5-dev-tools,
-#         qtbase6-dev-tools,
+         qt6-base-dev-tools,
          ${misc:Depends},
          ${python3:Depends}
 Recommends: python3-matplotlib, python3-opengl, python3-pyqt5.qtopengl
@@ -51,6 +50,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Multi-Arch: foreign
 Description: Scientific Graphics and GUI Library for Python (common documentation)
  PyQtGraph is a pure-python graphics and GUI library built on PyQt4 and numpy.
  It is intended for use in mathematics / scientific / engineering applications.

## python-pyqtgraph 0.13.2

=== doc/requirements.txt ===
PyQt6==6.4.2
sphinx==5.3.0
pydata-sphinx-theme==0.11.0
sphinx-design==0.3.0
sphinxcontrib-images==0.9.4
sphinx-qt-documentation
sphinxext-rediraffe
numpy
pyopengl

=== .github/workflows/etc/requirements.txt ===
# numpy based on python version and NEP-29 requirements
numpy; python_version == '3.10'
numpy; python_version == '3.11'
numpy~=1.21.0; python_version == '3.9'
numpy~=1.20.0; python_version == '3.8'

# image testing
scipy==1.10.1

# optional high performance paths
numba==0.56.4; python_version == '3.9'

# optional 3D
pyopengl==3.1.6

# supplimental tools
matplotlib==3.7.0
h5py==3.8.0

# testing
pytest==7.2.1
pytest-xdist==3.2.0
pytest-xvfb==2.0.0; sys_platform == 'linux'

=== debian/changelog ===
python-pyqtgraph (0.13.2-1) unstable; urgency=medium

  * New upstream version 0.13.2
    - disable theme-switcher, needing a newer pydata-sphinx-theme version
  * Add dependencies on python3-sphinx-design, python3-sphinxcontrib.images,
    python3-sphinxext-rediraffe and python3-pydata-sphinx-theme

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 10 Mar 2023 13:16:56 +0100

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,12 @@
                python3-pyqt5.qtopengl,
                python3-setuptools,
                python3-sphinx,
+               python3-sphinx-design,
                python3-sphinx-qt-documentation,
                python3-sphinx-rtd-theme,
+               python3-sphinxcontrib.images,
+               python3-sphinxext-rediraffe,
+               python3-pydata-sphinx-theme,
                pyqt5-dev-tools,
                pyqt6-dev-tools,
                qtbase5-dev-tools,

## python-pyqtgraph 0.13.3

=== debian/changelog ===
python-pyqtgraph (0.13.3-1) unstable; urgency=medium

  * New upstream version 0.13.3
  * Also depend on favicon

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 17 Apr 2023 14:37:27 +0200

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
                python3-pyqt5.qtopengl,
                python3-setuptools,
                python3-sphinx,
+               python3-sphinx-favicon,
                python3-sphinx-design,
                python3-sphinx-qt-documentation,
                python3-sphinx-rtd-theme,

## python-pyqtgraph 0.13.4

=== doc/requirements.txt ===
PyQt6==6.6.1
sphinx==7.2.6
pydata-sphinx-theme==0.15.2
sphinx-design==0.5.0
sphinxcontrib-images==0.9.4
sphinx-favicon==1.0.1
sphinx-autodoc-typehints
sphinx-qt-documentation
sphinxext-rediraffe
numpy
pyopengl

=== .github/workflows/etc/requirements.txt ===
# numpy based on python version and NEP-29 requirements
numpy; python_version == '3.10'
numpy; python_version == '3.11'
numpy~=1.22.0; python_version == '3.9'

# image testing
scipy==1.12.0

# optional high performance paths
numba==0.59.0; python_version == '3.9'

# optional 3D
pyopengl==3.1.7

# supplimental tools
matplotlib==3.8.3
h5py==3.10.0

# testing
pytest==8.1.0
pytest-xdist==3.5.0
pytest-xvfb==3.0.0; sys_platform == 'linux'

=== debian/changelog ===
python-pyqtgraph (0.13.4-2) unstable; urgency=medium

  * Add pybuild autopkgtest (Closes: #1035217)
    - note: the tests are currently disabled because they spawn graphical
      windows, but at least we can check buildability.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 10 Mar 2024 07:50:01 +0100

python-pyqtgraph (0.13.4-1) unstable; urgency=medium

  * New upstream version 0.13.4
  * Bump std-version to 4.6.2, no changes required
  * Refresh patch
  * Add new dependency for sphinx doc
  * Update copyright file
  * Update my copyright year

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 09 Mar 2024 11:59:33 +0100

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,24 @@
 Uploaders: Gianfranco Costamagna <locutusofborg@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                libpyside2-py3,
                python3-all,
                python3-numpy,
                python3-opengl,
+               python3-pydata-sphinx-theme,
                python3-pyqt5.qtopengl,
                python3-setuptools,
                python3-sphinx,
+               python3-sphinx-autodoc-typehints,
+               python3-sphinx-design,
                python3-sphinx-favicon,
-               python3-sphinx-design,
                python3-sphinx-qt-documentation,
                python3-sphinx-rtd-theme,
                python3-sphinxcontrib.images,
                python3-sphinxext-rediraffe,
-               python3-pydata-sphinx-theme,
                pyqt5-dev-tools,
                pyqt6-dev-tools,
                qtbase5-dev-tools,

=== debian/tests/control ===
Test-Command: true
Depends: @, @builddeps@
Restrictions: build-needed

=== debian/watch ===
version=4
opts=dversionmangle=s/(\+|\.)dfsg$// \
	https://github.com/pyqtgraph/pyqtgraph/tags .*/pyqtgraph-?(\d\S*)\.tar\.gz

## python-pyqtgraph 0.13.7

=== doc/Makefile ===
--- 
+++ 
@@ -2,17 +2,18 @@
 #
 
 # You can set these variables from the command line.
-SPHINXOPTS    =
-SPHINXBUILD   = sphinx-build
+SPHINXOPTS    ?= -n
+SPHINXBUILD   ?= sphinx-build
 PAPER         =
 BUILDDIR      = build
+SOURCEDIR	  = source
 
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4
 PAPEROPT_letter = -D latex_paper_size=letter
-ALLSPHINXOPTS   = -n -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
+ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SOURCEDIR)
 
-.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest
+.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest livehtml dash 
 
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
@@ -32,14 +33,34 @@
 	@echo "  changes    to make an overview of all changed/added/deprecated items"
 	@echo "  linkcheck  to check all external links for integrity"
 	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
+	@echo "  livehtml   to create livehtml of docs that watches for changes"
 
 clean:
 	-rm -rf $(BUILDDIR)/*
 
+livehtml:
+	sphinx-autobuild -a "$(SOURCEDIR)" "$(BUILDDIR)/html" --watch doc/source/_static --open-browser
+
 html:
+	# this will not detect changes in theme files, static files and
+	# source code used with auto-doc
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
+
+
+dash: clean
+	# this will create a docset of the documentation, used in documentation
+	# viewers such as dash or zeal, requires doc2dash to be installed
+	export BUILD_DASH_DOCSET=1;\
+	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/dash
+	doc2dash -n pyqtgraph\
+	 --online-redirect-url https://pyqtgraph.readthedocs.io/en/latest\
+	 --icon $(SOURCEDIR)/_static/peegee_03_square_no_bg_32_cleaned.png\
+	 --force\
+	 -A\
+	 $(BUILDDIR)/dash
+	@echo
 
 dirhtml:
 	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml

=== doc/requirements.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-PyQt6==6.6.1
-sphinx==7.2.6
+PyQt6==6.7.0
+sphinx==7.3.7
 pydata-sphinx-theme==0.15.2
 sphinx-design==0.5.0
 sphinxcontrib-images==0.9.4

=== .github/workflows/etc/requirements.txt ===
# numpy based on python version and NEP-29 requirements
numpy; python_version == '3.11'
numpy; python_version == '3.12'
numpy~=1.23.0; python_version == '3.10'

# image testing
scipy==1.13.0

# optional high performance paths
numba==0.59.1; python_version == '3.10'

# optional 3D
pyopengl==3.1.7

# supplimental tools
matplotlib==3.8.4
h5py==3.11.0

# testing
pytest==8.1.1
pytest-xdist==3.5.0
pytest-xvfb==3.0.0; sys_platform == 'linux'

=== debian/changelog ===
python-pyqtgraph (0.13.7-6) unstable; urgency=medium

  * Team upload.
  * Long description: replace PyQt4 with PyQt6
  * Prefer Qt6 over Qt5 at runtime
  * Use dh-sequence-python3
  * Bump std-version to 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Wed, 01 Oct 2025 12:30:46 +0200

python-pyqtgraph (0.13.7-5) unstable; urgency=medium

  * Team upload.
  * Add patch to use local intersphinx files
  * Use new pydata-sphinx-theme
  * Bump std-version to 4.7.0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 15 Oct 2024 10:04:14 +0200

python-pyqtgraph (0.13.7-4) unstable; urgency=medium

  * Revert "Limit pyside6 to archs where it is supported"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 06 Aug 2024 12:18:16 +0200

python-pyqtgraph (0.13.7-3) unstable; urgency=medium

  * Limit pyside6 to archs where it is supported

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 06 Aug 2024 10:13:35 +0200

python-pyqtgraph (0.13.7-2) unstable; urgency=medium

  * Add pyside6 to build

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 05 Aug 2024 09:32:34 +0200

python-pyqtgraph (0.13.7-1) unstable; urgency=medium

  * New upstream version 0.13.7

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 May 2024 08:21:15 +0200

python-pyqtgraph (0.13.6-2) unstable; urgency=medium

  * Readd hack to fix build

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 23 Apr 2024 15:55:13 +0200

python-pyqtgraph (0.13.6-1) unstable; urgency=medium

  * New upstream version 0.13.6
  * Drop hack now that sphinx-theme-builder is updated

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 23 Apr 2024 08:35:23 +0200

=== debian/control ===
Source: python-pyqtgraph
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Gianfranco Costamagna <locutusofborg@debian.org>,
Section: python
Priority: optional
Standards-Version: 4.7.2
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 libpyside2-py3,
 libpyside6-py3,
 pyqt5-dev-tools,
 pyqt6-dev-tools,
 python-numpy-doc,
 python3-all,
 python3-doc,
 python3-numpy,
 python3-opengl,
 python3-pydata-sphinx-theme (>= 0.15.4~),
 python3-pyqt5.qtopengl,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-autodoc-typehints,
 python3-sphinx-design,
 python3-sphinx-favicon,
 python3-sphinx-qt-documentation,
 python3-sphinx-rtd-theme,
 python3-sphinxcontrib.images,
 python3-sphinxext-rediraffe,
 qt6-base-dev-tools,
 qtbase5-dev-tools,
Homepage: http://luke.campagnola.me/code/pyqtgraph
Vcs-Git: https://salsa.debian.org/science-team/python-pyqtgraph.git
Vcs-Browser: https://salsa.debian.org/science-team/python-pyqtgraph

Package: python3-pyqtgraph
Architecture: all
Depends:
 pyqt6-dev-tools | pyqt5-dev-tools,
 python3-pyqt6 | python3-pyqt5 | libpyside6-py3 | libpyside2-py3,
 python3-scipy,
 qt6-base-dev-tools | qtbase5-dev-tools,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-matplotlib,
 python3-opengl,
 python3-pyqt5.qtopengl,
# python3-pyqt6.qtopengl
Suggests:
 python-pyqtgraph-doc,
Description: Scientific Graphics and GUI Library for Python 3
 PyQtGraph is a pure-python graphics and GUI library built on PyQt6 and numpy.
 It is intended for use in mathematics / scientific / engineering applications.
 Despite being written entirely in Python, the library is very fast due to its
 heavy leverage of numpy for number crunching and Qt's GraphicsView framework
 for fast display.
 .
 This is the Python 3 version of the package.

Package: python-pyqtgraph-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Scientific Graphics and GUI Library for Python (common documentation)
 PyQtGraph is a pure-python graphics and GUI library built on PyQt6 and numpy.
 It is intended for use in mathematics / scientific / engineering applications.
 Despite being written entirely in Python, the library is very fast due to its
 heavy leverage of numpy for number crunching and Qt's GraphicsView framework
 for fast display.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyqtgraph

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

# they spawn graphical windows
override_dh_auto_test:

execute_before_dh_auto_clean:
	rm -rf doc/build

execute_before_dh_auto_build:
	cd doc && $(MAKE) html

=== debian/tests/control ===
Test-Command: true
Depends:
 @,
 @builddeps@,
Restrictions:
 build-needed,

## python-pyqtgraph 0.14.0

=== debian/changelog ===
python-pyqtgraph (0.14.0-5) unstable; urgency=medium

  * Team upload
  * Drop pyside2 support

 -- Bastian Germann <bage@debian.org>  Tue, 24 Feb 2026 12:45:46 +0100

python-pyqtgraph (0.14.0-4) unstable; urgency=medium

  * Switch back to qt6, people should use PYTEST_QT_API=* to force one api to use
  * Drop other commented stuff

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 26 Jan 2026 21:49:02 +0100

python-pyqtgraph (0.14.0-3) unstable; urgency=medium

  * Switch again to pyqt5 as default
    - reverse dependencies are really not yet ready for qt6, this pulls
      and switches also pytest-qt default qt and makes tests fail

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Jan 2026 20:38:11 +0100

python-pyqtgraph (0.14.0-2) unstable; urgency=medium

  * Add dependency on pyside6.qtopengl and
    openglwidgets (Closes: #1123097)
    - Thanks Colin Watson for the usual nice, and careful analysis and fix

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 24 Dec 2025 10:44:37 +0100

python-pyqtgraph (0.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Add python3-colorama B-D for docs
  * Refresh patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 06 Dec 2025 11:16:54 +0100

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
- libpyside2-py3,
  libpyside6-py3,
  pyqt5-dev-tools,
  pyqt6-dev-tools,
  python-numpy-doc,
  python3-all,
+ python3-colorama,
  python3-doc,
  python3-numpy,
  python3-opengl,
@@ -38,7 +38,8 @@
 Architecture: all
 Depends:
  pyqt6-dev-tools | pyqt5-dev-tools,
- python3-pyqt6 | python3-pyqt5 | libpyside6-py3 | libpyside2-py3,
+ python3-pyqt6 | python3-pyqt5,
+ libpyside6-py3,
  python3-scipy,
  qt6-base-dev-tools | qtbase5-dev-tools,
  ${misc:Depends},
